#
# spec file for package python-d2to1
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-d2to1
Version:        0.2.11
Release:        8.5
Url:            http://pypi.python.org/pypi/d2to1
Summary:        Allows using distutils2-like setup.cfg with a distribute/setuptools
License:        BSD-3-Clause
Group:          Development/Languages/Python
Source:         d2to1-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  fdupes
BuildRequires:  python-devel
BuildRequires:  python-setuptools
# Test requirements:
BuildRequires:  python-nose
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
d2to1 (the 'd' is for 'distutils') allows using distutils2-like setup.cfg
files for a package's metadata with a distribute/setuptools setup.py script.
It works by providing a distutils2-formatted setup.cfg file containing all of
a package's metadata, and a very minimal setup.py which will slurp its arguments from the setup.cfg.

%prep
%setup -q -n d2to1-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python setup.py test

%files
%defattr(-,root,root,-)
%doc CHANGES.rst LICENSE README.rst
%{python_sitelib}/d2to1/
%{python_sitelib}/d2to1-%{version}-py%{py_ver}.egg-info

%changelog
* Thu Nov  7 2013 speilicke@suse.com
- Fix changes format of first entry from local timezone (UTC+4) to UTC
* Mon Sep 16 2013 speilicke@suse.com
- Update to version 0.2.11
  + Replaced distribute_setup.py with ez_setup.py in order to bootstrap
    with modern setuptools when necessary.
  + Fixed a couple minor Python 3-specific issues. In particular the
    data_files option could be passed to setup() as a dict_items
    object instead of a list which is what would normally be expected.
  + Added a tox.ini (frankly I thought there already was one).
- Switch back to setuptools after distribute merge
* Tue Jun 18 2013 speilicke@suse.com
- Fix changelog, cleanup spec-file
- Run testsuite
* Thu May  9 2013 matwey.kornilov@gmail.com
- Update to version 0.2.10:
  + Added support for the seutp-requires-dist option in the [metadata]
    section of setup.cfg.  This is analogous to the Setup-Requires-Dist metadata
    field supported by PEP-426 and uses the setup_requires argument to
    setuptools' setup() to implement it.
  + Added support for the dependency_links and include_package_data
    arguments to setuptools' setup() in the [backwards_compat] section of
    setup.cfg.
  + When a setup_hook calls sys.exit() don't show a traceback for the
    SystemExit exception.
  + Fixed a bug in the exception formatting when exceptions occur in setup.cfg
    handling.
* Tue Aug 21 2012 highwaystar.ru@gmail.com
- update to new release 0.2.7
- python3 package added
- spec improved
* Thu Nov  3 2011 matwey.kornilov@gmail.com
- initial version
